package com.kym.service.miniapp;

import com.github.yulichang.base.MPJBaseService;
import com.kym.common.IQuery;
import com.kym.entity.miniapp.DataDict;

import java.util.List;


/**
 * <p>
 * 数据字典 服务类
 * </p>
 *
 * @author zuy
 * @since 2023-08-13
 */
public interface DataDictService extends MPJBaseService<DataDict> {

    Object list(IQuery<DataDict> query);

    Object listV2(IQuery<DataDict> query);

    void saveOrUpdate(List<DataDict> dictList);
}
